Loading...
Searching...
No Matches
osmo_stat_item Struct Reference
Statistics value item

data we keep for each actual item More...

`#include <stat_item_internal.h>`

## Data Fields

const struct osmo_stat_item_desc * | desc
| back-reference to the item description
struct osmo_stat_item_period | value
| Current reporting period / current value.
struct osmo_stat_item_period | reported
| The results of the previous reporting period.

## Detailed Description

data we keep for each actual item

## Field Documentation

## desc

const struct osmo_stat_item_desc* osmo_stat_item::desc

back-reference to the item description

## reported

struct osmo_stat_item_period osmo_stat_item::reported

The results of the previous reporting period.

According to these, the stats reporter decides whether to re-send values or omit an unchanged value from a report.

## value

struct osmo_stat_item_period osmo_stat_item::value

Current reporting period / current value.

Referenced by osmo_stat_item_dec(), osmo_stat_item_inc(), and osmo_stat_item_set().

The documentation for this struct was generated from the following file:

- src/core/stat_item_internal.h